%define	ephy_major		2.18
%define	ephy_min_version	%{ephy_major}.0
%define	gecko_version		1.8.1.14

Name:		epiphany-extensions
Version:	%{ephy_major}.3
Release:	9
Summary:	Extensions for Epiphany, the GNOME web browser

License:	GPL
Group:		Applications/Internet
URL:		http://www.gnome.org/projects/epiphany/extensions

Source0:	http://ftp.gnome.org/pub/GNOME/sources/epiphany-extensions/%{ephy_major}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-fix-adblock-filtersetg-updater.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## gecko-devel is not strictly required, as epiphany-devel pulls it in.
## BuildRequire it anyway so we fail if not building against the version
## we are expecting to.
BuildRequires:	epiphany-devel >= %{ephy_min_version}
BuildRequires:	gettext
BuildRequires:  gecko-devel = %{gecko_version}
BuildRequires:	opensp-devel
BuildRequires:	pcre-devel
BuildRequires:	perl(XML::Parser)

Requires:	gecko-libs = %{gecko_version}
Requires:	epiphany >= %{ephy_min_version}

Requires(pre):	GConf2

Requires(post):	GConf2
Requires(post): scrollkeeper

Requires(preun):	GConf2

Requires(postun): scrollkeeper

%description
Epiphany Extensions is a collection of extensions for Epiphany, the
GNOME web browser.


%prep
%setup -q
%patch0 -p0 -b .fix-adblock-filtersetg-updater


%build
%configure --disable-compiler-warnings --disable-scrollkeeper	\
	--with-extensions=really-all
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install
%{find_lang} "%{name}-%{ephy_major}"


%clean
%{__rm} -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas	\
		%{_sysconfdir}/gconf/schemas/epilicious.schemas > /dev/null ||:
fi


%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas	\
	%{_sysconfdir}/gconf/schemas/epilicious.schemas > /dev/null ||:


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas	\
		%{_sysconfdir}/gconf/schemas/epilicious.schemas > /dev/null ||:
fi


%postun
scrollkeeper-update -q ||:

%files -f %{name}-%{ephy_major}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.README ChangeLog README NEWS
%{_datadir}/epiphany/icons/hicolor/*/status/feed-presence.*
%{_datadir}/%{name}/
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%exclude %{_libdir}/epiphany/%{ephy_major}/extensions/*.la
%{_libdir}/epiphany/%{ephy_major}/extensions/
%{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas
%{_sysconfdir}/gconf/schemas/epilicious.schemas


%changelog
* Wed Apr 16 2008 Christopher Aillon <caillon@redhat.com> - 2.18.3-9
- Rebuild against newer gecko

* Tue Mar 25 2008 Christopher Aillon <caillon@redhat.com> - 2.18.3-8
- Rebuild against newer gecko

* Fri Feb  8 2008 Christopher Aillon <caillon@redhat.com> - 2.18.3-7
- Rebuild against newer gecko

* Tue Nov 27 2007 Christopher Aillon <caillon@redhat.com> - 2.18.3-6
- Rebuild against newer gecko

* Tue Nov 06 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.3-5
- Rebuild for new Gecko (Firefox 2.0.0.9)

* Sat Oct 20 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.3-4
- Rebuild against new Gecko release (Firefox 2.0.0.8)

* Mon Jul 30 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.3-3
- Add a patch from upstream SVN to fix GNOME bug 452119 (crash in the
  filterset.g updater tool from the AdBlocker extension):
  + fix-adblock-filtersetg-updater.patch

* Wed Jul 18 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.3-2
- Rebuild against new Gecko release (Firefox 2.0.0.5).

* Wed Jul 04 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.3-1
- Update to new upstream release (2.18.3).

* Wed Jun 06 2007 Christopher Aillon <caillon@redhat.com> - 2.18.2-3
- Specfiles should _NOT_ call rpm directly.  Fix the previous bug the
  correct way, by doing explicit requires on the exact versions instead
  of via rpm -q

* Tue Jun 05 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.2-2
- Add %%{_target_cpu} to versioned Firefox dependency to avoid multilib
  updating issues such as bug 242318, wherein the 32-bit older Firefox build
  matches the versioned dependency, but the updated 64-bit Firefox build
  matches the 64-bit shared library dependencies. (Thanks to Frederik Hertzum
  for the bug report.) 

* Tue May 30 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.2-1
- Update to new upstream bugfix release (2.18.2); and rebuild for newer
  Firefox/Gecko version (2.0.0.4).

* Wed Apr 11 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.1-1
- Update to new upstream release (2.18.1).

* Sat Mar 24 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.0-2
- Rebuild against new Gecko release (Firefox 2.0.0.3).

* Wed Mar 14 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.0-1
- Update to new upstream release (2.18.0).
- Remove shell syntax error (erroneous "||:") in %%preun scriptlet.

* Fri Mar 02 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.92-1
- Update to new upstream release (2.17.92), which includes the Epilicious
  extension (thus closing bug #223746).  
- Add an explicit versioned dependency on firefox to help avoid version-bump
  incompatibilities in the future.(Thanks to Brian Pepple for the fix.)  

* Sat Jan 27 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.4-3
- Enable all extensions. (Woo!)
- Fix summary (it shouldn't end with a period).

* Fri Jan 26 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.4-2
- Fix %%post GConf scriptlet (thanks to David Nielsen for the bug report via
  email) and a spelling mistake in previous %%changelog entry. 
- Lots of aesthetic fixes to the spec file.

* Wed Jan 24 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.4-1
- Update to new upstream release (2.17.4)
- Use %%find_lang instead of a hardcoded call to 'find_lang.sh --all-name'
- A couple of fixes from Brian Pepple:
  (1) Own only the extensions subdirectory in %%_libdir/epiphany, not the
  toplevel epiphany directory (which is owned by epiphany).
  (2) Don't package libtool archive (*.la) files.
- Make macro usage a bit more consistent.
- Add AUTHORS, COPYING, and COPYING.README to installed documentation (%%doc).
- Includes smart-bookmarks GConf schema, so add associated gconftool-2
  scriptlet calls, etc. 

* Fri Dec 01 2006 Peter Gordon <peter@thecodergeek.com> - 2.17.0-1
- Update to new upstream release (2.17.0), for new Epiphany 2.17/2.18 in Devel. 
- Fix BuildRoot to be in compliance with Fedora Extras packaging policy  

* Thu Oct 12 2006 Peter Gordon <peter@thecodergeek.com>
- Change perl-XML-Parser BR to perl(XML::Parser)
- DESTDIR is a make variable, not an external one

* Thu Oct 12 2006 Zack Cerza <zcerza@redhat.com> 2.16.0-1
- Update to 2.16.0

* Tue Aug 29 2006 Christopher Aillon <caillon@redhat.com> 2.15.2-1
- Update to 2.15.2

* Sun Apr 16 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.1-1
- Upstream update

* Fri Feb 17 2006 Christopher Aillon <caillon@redhat.com> - 1.9.7-1
- Update to 1.9.7

* Sun Feb  5 2006 Christopher Aillon <caillon@redhat.com> - 1.9.6-1
- Update to 1.9.6

* Tue Jan  3 2006 Christopher Aillon <caillon@redhat.com> - 1.9.4-1
- Update to 1.9.4

* Fri Dec 30 2005 Christopher Aillon <caillon@redhat.com> - 1.9.3-1
- Update to 1.9.3

* Mon Oct 10 2005 Christopher Aillon <caillon@redhat.com> - 1.8.1-1
- Update to 1.8.1

* Tue Sep  6 2005 Christopher Aillon <caillon@redhat.com> - 1.8.0-1
- Update to 1.8.0

* Wed Aug 10 2005 Christopher Aillon <caillon@redhat.com> - 1.7.4-1
- Update to 1.7.4

* Fri Jul 29 2005 Christopher Aillon <caillon@redhat.com> - 1.7.3-1
- Update to 1.7.3

* Mon Jul 11 2005 Christopher Aillon <caillon@redhat.com> - 1.7.2-1
- Update to 1.7.2

* Mon Jun 27 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-2
- Own %%{_libdir}/epiphany
- Run find-lang.sh manually since the macro doesn't help us
- Clean up summary

* Thu Jun 16 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-1
- Initial RPM
